#ifndef _CHEAT_H
#define _CHEAT_H
#include "cheat-driver.h"

void MDFN_CheatResetRAM(void);
void MDFN_CheatAddRAM(int s, uint32 A, uint8 *p);

void MDFNNES_LoadGameCheats(FILE *override);
void MDFNNES_FlushGameCheats(FILE *override, int nosave);
void MDFN_ApplyPeriodicCheats(void);
void MDFN_PowerCheats(void);
#endif
